Trigger.prototype.StartCutscene = function(data)
{
	var cmpCinemaManager = Engine.QueryInterface(SYSTEM_ENTITY, IID_CinemaManager);
	if (!cmpCinemaManager)
		return;
	cmpCinemaManager.AddCinemaPathToQueue("Camera");
	cmpCinemaManager.Play();
};

Trigger.prototype.StartRecording = function(data)
{
	Engine.Profile2Toggle();
};

Trigger.prototype.StopRecording = function(data)
{
	Engine.Profile2Toggle();
};

Trigger.prototype.SaveRecording = function(data)
{
	Engine.Profile2SaveToFile();
};

var cmpTrigger = Engine.QueryInterface(SYSTEM_ENTITY, IID_Trigger);
cmpTrigger.DoAfterDelay(0, "StartCutscene", {});
cmpTrigger.DoAfterDelay(30000, "StartRecording", {});
cmpTrigger.DoAfterDelay(70000, "SaveRecording", {});
cmpTrigger.DoAfterDelay(72000, "StopRecording", {});